AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI.Command
SendTextCommand Class
SendTextCommand Constructor
SendTextCommand Methods
SendTextCommand Properties

| SendTextCommand Class

Sends the given text on a channel.
Most channels do not support the transmission of text.
Returns 0 if text is sent, or if the channel does not support text transmission. Returns -1 only on error/hangup.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
SendTextCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class SendTextCommand : AGICommand

    Public Class SendTextCommand
    	Inherits AGICommand

    public ref class SendTextCommand : public AGICommand

    type SendTextCommand =
        class
            inherit AGICommand
        end

The SendTextCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| SendTextCommand | Creates a new SendTextCommand.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| Text | Get/Set the text to send.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace